<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>FbService (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbService (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbService.html" target="_top">Frames</a></li>
<li><a href="FbService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Interface FbService" class="title">Interface FbService</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a>, <a href="../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireService</a>, <a href="../../../../org/firebirdsql/gds/ng/jna/JnaService.html" title="class in org.firebirdsql.gds.ng.jna">JnaService</a>, <a href="../../../../org/firebirdsql/gds/ng/wire/version10/V10Service.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Service</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FbService</span>
extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></pre>
<div class="block">Connection handle to a service.
 <p>
 All methods defined in this interface are required to notify all <code>SQLException</code> thrown from the methods
 defined in this interface, and those exceptions notified by all <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ExceptionListenable</code></a> implementations created
 from them.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">addServiceListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</code>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance to this database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#createServiceParameterBuffer--">createServiceParameterBuffer</a></span>()</code>
<div class="block">Creates an empty <a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#createServiceRequestBuffer--">createServiceRequestBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">getServiceInfo</a></span>(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
              <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
              int&nbsp;maxBufferLength)</code>
<div class="block">Performs a service info request (service query.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">getServiceInfo</a></span>(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
              <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
              int&nbsp;bufferLength,
              <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)</code>
<div class="block">Request service info (service query).</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">removeServiceListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</code>
<div class="block">Removes a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance from this database.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbService.html#startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">startServiceAction</a></span>(<a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer)</code>
<div class="block">Starts a service action.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>int&nbsp;getHandle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The service handle value</dd>
</dl>
</li>
</ul>
<a name="getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceInfo</h4>
<pre>&lt;T&gt;&nbsp;T&nbsp;getServiceInfo(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
                     <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
                     int&nbsp;bufferLength,
                     <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Request service info (service query).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceParameterBuffer</code> - Service parameters</dd>
<dd><code>serviceRequestBuffer</code> - Service request info</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dd><code>infoProcessor</code> - Implementation of <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng"><code>InfoProcessor</code></a> to transform
         the info response</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transformed info response of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving or transforming the response.</dd>
</dl>
</li>
</ul>
<a name="getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceInfo</h4>
<pre>byte[]&nbsp;getServiceInfo(<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
                      <a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
                      int&nbsp;maxBufferLength)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Performs a service info request (service query.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceParameterBuffer</code> - Service parameters (can be null)</dd>
<dd><code>serviceRequestBuffer</code> - Service request info</dd>
<dd><code>maxBufferLength</code> - Maximum response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The response buffer (note: length is the actual length of the response, not <code>maxBufferLength</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving the information.</dd>
</dl>
</li>
</ul>
<a name="startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startServiceAction</h4>
<pre>void&nbsp;startServiceAction(<a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Starts a service action.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceRequestBuffer</code> - Service action request details</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors starting the service action.</dd>
</dl>
</li>
</ul>
<a name="createServiceParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceParameterBuffer</h4>
<pre><a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createServiceParameterBuffer()</pre>
<div class="block">Creates an empty <a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.
 <p>
 Attach expects a service parameter buffer to have the version as the first item. This needs to be added
 explicitly.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Service</dd>
</dl>
</li>
</ul>
<a name="createServiceRequestBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceRequestBuffer</h4>
<pre><a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;createServiceRequestBuffer()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An empty service request buffer</dd>
</dl>
</li>
</ul>
<a name="addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addServiceListener</h4>
<pre>void&nbsp;addServiceListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</pre>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance to this database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Database listener</dd>
</dl>
</li>
</ul>
<a name="removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeServiceListener</h4>
<pre>void&nbsp;removeServiceListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a>&nbsp;listener)</pre>
<div class="block">Removes a <a href="../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ServiceListener</code></a> instance from this database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Database Listener</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbService.html" target="_top">Frames</a></li>
<li><a href="FbService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
